%define name xsu2
%define version 0.2.5
%define release 3mdk

Summary: Gnome Xsu2 is an interface for `su - username -c command` in Gnome2.0.
Name:	 %name
Version: %{version}
Release: %{release}
Url:	http://xsu.freax.eu.org/
License: GPL
Group: 	 Graphical desktop/GNOME
Source:  %name-%version.tar.bz2
BuildRoot: %{_tmppath}/%name-root
BuildRequires: libgnomeui2_0-devel libzvt2.0_0-devel
BuildRequires: automake1.7

%description
xsu Is an interface for `su - username -c command` in Gnome2.0. 
When the user executes xsu, he will be prompted for a command, a
username and a password.

%prep

%setup -q
%build
aclocal-1.7
automake-1.7 -a -c -f
autoconf
%configure2_5x

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

cp doc/xsu.8 $RPM_BUILD_ROOT/%{_mandir}/man8

rm -rf $RPM_BUILD_ROOT/%_prefix/doc
rm -rf $RPM_BUILD_ROOT/%_datadir/locale/nl/LC_MESSAGES/.mo

%find_lang %name
rm -f %buildroot/%_datadir/aclocal/gnome-macros/gnome-macros.dep

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING README TODO 
%doc doc/xsu_doc.html doc/xsu_example2.png doc/xsu_example3.png doc/xsu_example.jpg doc/xsu_in_gmenu.jpg
%_datadir/gnome/apps/Applications/xsu.desktop
%_mandir/man8/*
%_bindir/*
%_datadir/aclocal/gnome-macros/*

%changelog
* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-3mdk
- fix build
- fix buildrequires
- remove file conflicting with gnome-common

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-2mdk
- rebuild

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- fix files section
- use macro for locales
- URL
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 9.0
